﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.TreeMap;
using System.Collections.Generic;

namespace SilverlightApplication1
{
    public class PivotMapContainer : Grid
    {
        public PivotMapContainer()
        {
            RadPivotMap PivotMap = new RadPivotMap();
            PivotMap.BeginInit();
            this.Children.Add(PivotMap);

            // Initialize
            PivotMap.LayoutStrategy = new SquarifiedStrategy();
            PivotMap.GroupDefinitions.Add(new GroupDefinition() { Member = "Genre" });
            PivotMap.ValuePath = "GrossSales";
            PivotMap.LabelPath = "Name";
            PivotMap.ToolTipPath = "GrossSales";
            PivotMap.ToolTipFormat = "Gross Sales: {0:C0}";

            List<MovieInfo> list = new List<MovieInfo>();
            list.Add(new MovieInfo() { GrossSales = 123, Name = "A1", Genre = "A" });
            list.Add(new MovieInfo() { GrossSales = 123, Name = "A2", Genre = "A" });
            list.Add(new MovieInfo() { GrossSales = 123, Name = "B1", Genre = "B" });

            PivotMap.ItemsSource = list;
            PivotMap.EndInit();
        }
    }

    public class MovieInfo
    {
        public double GrossSales { get; set; }
        public string Name { get; set; }
        public string Genre { get; set; }
    }
}
